package com.dsk.cscec.domain.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.dsk.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 项目费用汇总表
 */
@Data
public class CbProjectExpenseSummaryVo {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 项目文件ID
     */
    private Long projectFileId;

    /**
     * 成本阶段(0:标前成本、1:标后成本、2:转固成本)
     */
    private Integer cbStage;

    /**
     * 序号
     */
    private String number;

    /**
     * 数据类型(2:措施项目、3:其他项目、4:现场经费)
     */
    private Integer dataType;

    /**
     * 名称
     */
    private String expenseName;

    /**
     * 数值
     */
    private String expenseValue;

    /**
     * 占比
     */
    private String proportion;


    /**
     * 本月工程量
     */
    private BigDecimal monthsProjectQuantity;



}