package com.dsk.cscec.domain.bo;

import com.dsk.common.annotation.Excel;
import com.dsk.cscec.domain.CbSceneExpenseChildren;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author sxk
 * @date 2024.02.26
 * @time 16:38
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CbSceneExpenseChildrenImportBo extends CbSceneExpenseChildren {
    /**
     * 公司单价/不含税单价
     */
    @Excel(name = "不含税单价（元）")
    private String excludeTaxUnitPrice;
    /**
     * 目标成本合价(不含税)/不含税合价
     */
    @Excel(name = "不含税合价（元）")
    private String excludeTaxSumPrice;
    /**
     * 目标成本合价(含税)/含税合价
     */
    @Excel(name = "含税合价（元）")
    private String includeTaxSumPrice;
}
