package com.dsk.cscec.domain.vo;

import lombok.Data;

import java.util.Date;

/**
 * @author sxk
 * @date 2024.02.28
 * @time 14:24
 */
@Data
public class CbProjectInfoVo {
    //项目基本情况↓
    /**
     * 工程名称
     */
    private String projectName;
    /**
     * 区域名称(工程所在地)
     */
    private String areaName;
    /**
     * 城市名称(工程所在地)
     */
    private String cityName;
    /**
     * 县市(工程所在地)
     */
    private String districtName;
    /**
     * 项目地址(工程详细地址)
     */
    private String projectAddress;
    //业态
    /**
     * 工程类型上级名称(工程类型)
     */
    private String projectType1;
    //计价模式（清单/定额）
    //承包形式（EPC/DB/EP/PC）
    //合同类型
    //建设单位
    /**
     * 设计单位
     */
    private String designOrgName;
    //勘察单位
    /**
     * 监理单位
     */
    private String supervisorOrgName;
    //代理公司（或工料测量师）
    //招标形式
    //承包方式
    //预计合同额（万元）
    /**
     * 资金来源名称(资金来源)
     */
    private String moneySource;
    //分包标准费用项价格库
    //材料机械标准费用价格库
    //专业类别
    //平台项目名称
    //核定总人数
    //折算收入不含税系数（应纳税率）
    //收入清单增值税率


    //项目特征信息↓
    //地上建筑面积
    //地下建筑面积
    //坑底面积
    //占地面积
    //结构类型
    //基础类型
    //单体个数
    /**
     * 地上层数
     */
    private String noOfOverfloor;
    /**
     * 地下层数
     */
    private String noOfUnderfloor;
    /**
     * 建筑高度(m)
     */
    private String constructHeight;
    //地下深度
    //首层(m)
    //标准层(m)
    //其他说明

    //项目投标时的要点↓
    //建筑工程
    //机电工程
    //专业工程暂估
    //装饰工程
    //配套工程
    //指定分包
    //报价方式/合同形式
    //指定供应
    //电子标
    /**
     * 计划开工日期
     */
    private Date planStartDate;
    /**
     * 计划竣工日期
     */
    private Date planEndDate;
    /**
     * 合同总工期(总工期)
     */
    private String contractWorkDays;
    //缺陷责任
    //质量标准
    //品牌要求
    //质量要求
    //报价中需要注意的其他问题/风险

    //评标办法↓
    //评标程序
    //评标原则
    //招标控制价（如有）
    //专家组成
    //定标原则
    //报价上限（如有）

    //投标各时间节点↓
    //标前会议（或者领取投标文件的时间）
    //投标人提出疑问的截止时间
    //招标人答复疑问的截止时间
    //现场踏勤时间
    //招标控制价（如有）
    //报价上限（如有）
    //时间
    //开标时的要求
    //地点
    //投标有效期
}
