package com.dsk.cscec.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dsk.cscec.domain.CbCostMeasure;
import com.dsk.cscec.domain.CbCostMeasureActual;
import com.dsk.cscec.domain.vo.CbCostMeasureActualVo;
import com.dsk.cscec.mapper.CbCostMeasureActualMapper;
import com.dsk.cscec.mapper.CbCostMeasureMapper;
import com.dsk.cscec.service.ICbCostMeasureActualService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tanyang
 * @create 2024-02-07 9:38
 **/
@Service
public class ICbCostMeasureActualServiceImpl extends ServiceImpl<CbCostMeasureActualMapper, CbCostMeasureActual> implements ICbCostMeasureActualService {

    @Override
    public List<CbCostMeasureActualVo> getMonthActualCostList(Long projectId, String month) {
        return baseMapper.getMonthActualCostList(projectId,month);
    }
}
